    var actionsheet = new auiActionsheet();
    function getOrderList(orderType) {
        // alert(orderType);
      var orderType = orderType || 'all';
      if (loading === false) {return;}else{stopLoading = true;}
      var sid = $api.getStorage('sid');
      var uid = $api.getStorage('uid');
      var url = window.url;
      var act = '?s=/v0/order/index';
      url += act;
      var param = {};
      param['session'] = {'sid':sid,'uid':uid};
      param['pagination'] = {'page':page,'count':20};
      param['type'] = orderType;
    //   alert(JSON.stringify(param));
      api.ajax({
          url: url,
          method: 'post',
          data: {values:param},
          dataType: 'json'
      },function(ret, err){
        // alert(JSON.stringify(ret));
        if (ret) {
          if (ret.code == 1) {
              page++;
              if (isEmptyObject(ret.data.list)) {
                  loading = false;
                  var data = {'success':0};
                  var  doTtmpl = doT.template($api.dom('#js-list').innerHTML);
                  $api.append($api.dom('#list'), doTtmpl(data));
              } else {
                  var data = {'success':1, 'data': ret.data};
                  var  doTtmpl = doT.template($api.dom('#js-list').innerHTML);
                  $api.append($api.dom('#list'), doTtmpl(data));
              }
              stopLoading = false;
          } else {
            api.toast({
                msg: ''+ret.msg+'',
                duration: 2000,
                location: 'middle'
            });
          }
        } else {}
      });
    }
    function orderDetail(id) {
      if (id > 0) {
        openPage(id, 'order_detail', 1);
      }
    }
    function orderCancel(id, pageType) {
      if (id > 0) {
        api.confirm({
            title: '系统提示',
            msg: '确定删除订单吗？',
            buttons: ['确定', '取消']
        }, function(ret, err) {
            var index = ret.buttonIndex;
            if (index == 1) {
              doOrderCancel(id, pageType);
            }
        });
      }
    }
    function doOrderCancel(id, pageType) {
      var sid = $api.getStorage('sid');
      var uid = $api.getStorage('uid');
      var url = window.url;
      var act = '?s=/v0/order/cancel';
      url += act;
      var param = {};
      param['session'] = {'sid':sid,'uid':uid};
      param['order_id'] = id;
      api.ajax({
          url: url,
          method: 'post',
          data: {values:param},
          dataType: 'json'
      },function(ret, err){
        if (ret) {
          if (ret.code == 1) {
              page--;
              page = page || 1;
              loading = true;
              api.alert({
                  title: '系统提示',
                  msg: '取消成功',
              }, function(ret, err) {

              });
              $api.addCls($api.dom('#order-'+id), 'aui-hide');
              api.sendEvent({
                  name: 'orderCancel',
                  extra: {
                      id: id,
                  }
              });
          } else {
            api.toast({
                msg: ''+ret.msg+'',
                duration: 2000,
                location: 'middle'
            });
          }
        } else {}
      });
    }
    function orderPay(id, pageName) {
        var pageName = pageName || 'all';
      if (id > 0) {
        actionsheet.init({
            frameBounces:true,//当前页面是否弹动，（主要针对安卓端）
            title:"请选择支付方式",
            cancelTitle:'取消',
            buttons:['支付宝']
        },function(ret){
            if(ret){
              if (ret.buttonIndex == 1) {
                doOrderPay(id,'weixin', pageName);
              } else if (ret.buttonIndex == 2) {
                doOrderPay(id,'alipay', pageName);
                } else if (ret.buttonIndex == 3) {
                doOrderPay(id,'ballance', pageName);
              }
            }
        })
      }
    }
    function doOrderPay(orderId,payCode,pageName) {
      var sid = $api.getStorage('sid');
      var uid = $api.getStorage('uid');
      var url = window.url;
      var act = '?s=/v0/order/pay';
      url += act;
      var param = {};
      param['session'] = {'sid':sid,'uid':uid};
      param['order_id'] = orderId;
      param['pay_code'] = payCode;
      api.showProgress();
      api.ajax({
          url: url,
          method: 'post',
          data: {values:param},
          dataType: 'json'
      },function(ret, err){
        api.hideProgress();
        if (ret) {
          if (ret.code == 1) {
              var orderInfo = ret.data.orderInfo;
            if (payCode == 'weixin') {
                doWxPay(orderInfo,pageName);
            } else if(payCode == 'alipay') {
                doAlipay(orderInfo,pageName);
            } else if(payCode == 'ballance') {
                var page = 1;
                var loading = true;
                var stopLoading = false;
                getOrderList(pageName);
                api.toast({
                    msg: ''+ret.msg+'',
                    duration: 2000,
                    location: 'middle'
                });
                api.sendEvent({
                    name: 'pointsChange'
                });
            }
            //   api.toast({
            //       msg: '支付成功',
            //       duration: 2000,
            //       location: 'middle'
            //   });
            //   page--;
            //   page = page || 1;
            //   getOrderList();
            //   // send event
            //   api.sendEvent({
            //       name: 'pointsChange'
            //   });
          } else {
            api.toast({
                msg: ''+ret.msg+'',
                duration: 2000,
                location: 'middle'
            });
          }
        } else {}
      });
    }
    function confirmReceived(id,msg) {
      if (id > 0) {
        var dialog = new auiDialog();
        dialog.alert({
            title:"提示",
            msg:'确定收货吗？',
            buttons:['取消','确定']
        },function(ret){
            if (ret.buttonIndex == 2) {
              doConfirmReceived(id);
            }
        })
      }
    }
    function doConfirmReceived(orderId,pageType) {
      var sid = $api.getStorage('sid');
      var uid = $api.getStorage('uid');
      var url = window.url;
      var act = '?s=/v0/order/affirmReceived';
      url += act;
      var param = {};
      param['session'] = {'sid':sid,'uid':uid};
      param['order_id'] = orderId;
      api.showProgress();
      api.ajax({
          url: url,
          method: 'post',
          data: {values:param},
          dataType: 'json'
      },function(ret, err){
        api.hideProgress();
        if (ret) {
          if (ret.code == 1) {
              api.toast({
                  msg: '操作成功',
                  duration: 2000,
                  location: 'middle'
              });
              $api.addCls($api.dom('receive-'+orderId), 'aui-hide');
              api.sendEvent({
                  name: 'receive',
                  extra: {
                      id: orderId
                  }
              });
          } else {
            api.toast({
                msg: ''+ret.msg+'',
                duration: 2000,
                location: 'middle'
            });
          }
        } else {}
      });
    }
    function doAlipay(orderInfo,pageName) {
        var aliPayPlus = api.require('aliPayPlus');
        aliPayPlus.payOrder({
            orderInfo: orderInfo
        }, function(ret, err) {
            // alert(JSON.stringify(orderInfo));
            // alert(JSON.stringify(err));
            var msg = '';
            switch (parseInt(ret.code)) {
                case 9000:
                    msg = '支付成功';
                    break;
                case 8000:
                    msg = '正在处理中';
                    break;
                case 4000:
                    msg = '订单支付失败';
                    break;
                case 5000:
                    msg = '重复请求';
                    break;
                case 6001:
                    msg = '放弃支付';
                    break;
                case 6002:
                    msg = '网络连接出错';
                    break;
                default:
                    msg = '未知错误：' + ret.code;
            }
            if (parseInt(ret.code) == 9000) {
                var page = 1;
                var loading = true;
                var stopLoading = false;
                getOrderList(pageName);
                // send event
                // api.sendEvent({
                //     name: 'pointsChange'
                // });
            }
            api.alert({
                title: '支付结果',
                msg: msg,
                buttons: ['确定']
            });
        });
    }
    function doWxPay(pageName) {

    }
